import { tdFileId as td } from './types.js';
export type InputUniqueLocation = Pick<td.RawWebRemoteFileLocation, '_' | 'url'> | Pick<td.RawPhotoRemoteFileLocation, '_' | 'id' | 'source'> | Pick<td.RawCommonRemoteFileLocation, '_' | 'id'>;
/**
 * Serialize an object with information about file
 * to TDLib and Bot API compatible Unique File ID
 *
 * Unique File IDs can't be used to download or reuse files,
 * but they are globally unique, meaning that the same file will
 * have the same unique ID regardless of the user who created
 * this ID (unlike normal File IDs, that also contain user-bound
 * file access hash)
 *
 * @param location  Information about file location
 */
export declare function toUniqueFileId(location: Omit<td.RawFullRemoteFileLocation, '_'>): string;
export declare function toUniqueFileId(type: td.FileType, location: InputUniqueLocation): string;
